Page MenuHomePhabricator

[UI] Add text in the grammatical feature field
Closed, ResolvedPublic2 Estimate Story Points

Description

When adding a new Form, the grammatical features field is empty and it's unclear for the user what to enter in there. One shortfix solution would be to have a text when the field is empty. This text would be "for example: normative, comparative, past tense..."

The text should be displayed with the standard Wikibase "hint" colour (i.e. "Enter the lemma" on Special:NewLexeme).

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterAdd placeholder text for grammatical features input

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMay 2 2018, 8:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
WMDE-leszek updated the task description. (Show Details)May 8 2018, 1:27 PM
WMDE-leszek set the point value for this task to 2.
Lydia_Pintscher triaged this task as Medium priority.May 27 2018, 3:44 PM

Change 436293 had a related patch set uploaded (by Jakob; owner: Jakob):
[mediawiki/extensions/WikibaseLexeme@master] Add placeholder text for grammatical features input

https://gerrit.wikimedia.org/r/436293

Change 436293 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add placeholder text for grammatical features input

https://gerrit.wikimedia.org/r/436293

Lydia_Pintscher closed this task as Resolved.Jun 5 2018, 7:48 AM
Vvjjkkii renamed this task from [UI] Add text in the grammatical feature field to ftdaaaaaaa.Jul 1 2018, 1:12 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Jakob_WMDE as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Jakob_WMDE; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from ftdaaaaaaa to [UI] Add text in the grammatical feature field.Jul 1 2018, 1:49 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Jakob_WMDE.
CommunityTechBot set the point value for this task to 2.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Jakob_WMDE.
CommunityTechBot lowered the priority of this task from High to Medium.Jul 3 2018, 1:53 AM